be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDPATIENTWILLvalues

- java.lang.Object
- - java.lang.Enum<CDPATIENTWILLvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDPATIENTWILLvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDPATIENTWILLvalues>

      public enum CDPATIENTWILLvalues
      extends Enum<CDPATIENTWILLvalues>

  Java class for CD-PATIENTWILLvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-PATIENTWILLvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="ntbr"/>
           <enumeration value="bloodtransfusionrefusal"/>
           <enumeration value="intubationrefusal"/>
           <enumeration value="euthanasiarequest"/>
           <enumeration value="vaccinationrefusal"/>
           <enumeration value="organdonationconsent"/>
           <enumeration value="datareuseforclinicalresearchconsent"/>
           <enumeration value="datareuseforclinicaltrialsconsent"/>
           <enumeration value="clinicaltrialparticipationconsent"/>
           <enumeration value="omissionofmedicaldata"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOODTRANSFUSIONREFUSAL`
    `CLINICALTRIALPARTICIPATIONCONSENT`
    `DATAREUSEFORCLINICALRESEARCHCONSENT`
    `DATAREUSEFORCLINICALTRIALSCONSENT`
    `EUTHANASIAREQUEST`
    `INTUBATIONREFUSAL`
    `NTBR`
    `OMISSIONOFMEDICALDATA`
    `ORGANDONATIONCONSENT`
    `VACCINATIONREFUSAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDPATIENTWILLvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDPATIENTWILLvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDPATIENTWILLvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NTBR

          public static final CDPATIENTWILLvalues NTBR

    - #### BLOODTRANSFUSIONREFUSAL

          public static final CDPATIENTWILLvalues BLOODTRANSFUSIONREFUSAL

    - #### INTUBATIONREFUSAL

          public static final CDPATIENTWILLvalues INTUBATIONREFUSAL

    - #### EUTHANASIAREQUEST

          public static final CDPATIENTWILLvalues EUTHANASIAREQUEST

    - #### VACCINATIONREFUSAL

          public static final CDPATIENTWILLvalues VACCINATIONREFUSAL

    - #### ORGANDONATIONCONSENT

          public static final CDPATIENTWILLvalues ORGANDONATIONCONSENT

    - #### DATAREUSEFORCLINICALRESEARCHCONSENT

          public static final CDPATIENTWILLvalues DATAREUSEFORCLINICALRESEARCHCONSENT

    - #### DATAREUSEFORCLINICALTRIALSCONSENT

          public static final CDPATIENTWILLvalues DATAREUSEFORCLINICALTRIALSCONSENT

    - #### CLINICALTRIALPARTICIPATIONCONSENT

          public static final CDPATIENTWILLvalues CLINICALTRIALPARTICIPATIONCONSENT

    - #### OMISSIONOFMEDICALDATA

          public static final CDPATIENTWILLvalues OMISSIONOFMEDICALDATA

  - ### Method Detail

    - #### values

          public static CDPATIENTWILLvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDPATIENTWILLvalues c : CDPATIENTWILLvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDPATIENTWILLvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDPATIENTWILLvalues fromValue(String v)

Connector Packaging PERSPODOLOGIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.